Summary: Netscape Calendar
Name: netscape-calendar
Version: 4.71
Release: 1cs
Serial: 1
Copyright: Commercial
Group: Applications/Internet

Source0: ftp://ftp.netscape.com/pub/communicator/english/4.61/unix/supported/linux20_libc5/professional_edition/nscal-v471-990903.intel-linux2.0.tar.gz
Source1: netscape-calendar.sh

Buildroot: /var/tmp/cal-root
Prefix: /usr
ExclusiveArch: i386

%description
Pairing Netscape Calendar with Netscape Calendar Server provides an
easy-to-use enterprise group scheduling solution. Users can easily manage
their time, events, and to-do lists. Calendar offers high-performance,
real-time scheduling, ensuring that users have access to up-to-the-minute
information about the availability of people and resources. IT administrators
can easily integrate Calendar with a single corporate directory server.
Seamless integration with other standards-based calendar applications lets
users schedule meetings with others across the Internet.

Information on the Netscape Calendar license may be found in the file
/usr/doc/netscape-common-%{version}/LICENSE.

This will install the basic Netscape Calendar and it's plugin.

%prep
%setup -c

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape
mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/plugins
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

install -m 755 %{S:1} \
        $RPM_BUILD_ROOT/usr/bin/netscape-calendar
install -m 755 nscal \
        $RPM_BUILD_ROOT/usr/lib/netscape/netscape-calendar
install -m 755 nscalhelp \
        $RPM_BUILD_ROOT/usr/lib/netscape/nscalhelp
install -m 755 plugins/npvcal.so \
        $RPM_BUILD_ROOT/usr/lib/netscape/plugins
install -m 644 NetscapeCalendar.ad \
        $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/NetscapeCalendar

( cd $RPM_BUILD_ROOT/usr/lib/netscape ; ln -s netscape-calendar nscal )

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/netscape-calendar
/usr/lib/netscape/netscape-calendar
/usr/lib/netscape/nscal
/usr/lib/netscape/nscalhelp
/usr/lib/netscape/plugins/npvcal.so
%config(missingok) /usr/X11R6/lib/X11/app-defaults/NetscapeCalendar

%post
[ -d /usr/i386-glibc20-linux/share ] || mkdir -p /usr/i386-glibc20-linux/share
[ -s /usr/i386-glibc20-linux/share/locale ] || \
  ln -s ../../share/locale /usr/i386-glibc20-linux/share/locale

%changelog
* Tue Mar 21 2000 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- initial version (separated from netscape-4.7-1cs)
